### Method

# Gimp Gradient segment_range_blend_opacity

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_blend_opacity (
      GimpGradient* gradient,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Blend the opacity of the segment range.

Blends the opacity (but not the colors) of the range of segments. The opacity’s transition will then be uniform across the range. Returns an error when a segment index is out of range, or gradient is not editable.

Available since: 2.2

#### Parameters

`start_segment`

  Type: `gint`

  Index of the first segment to operate on.

`end_segment`

  Type: `gint`

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

#### Return value

Type: `gboolean`

TRUE on success.